Bug 1135541 - man page of "du" utils mentions the "--megabytes" which doesn't exist
Summary: man page of "du" utils mentions the "--megabytes" which doesn't exist
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: man-pages-fr
Version: 6.5
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: rc
: ---
Assignee: Mike FABIAN
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-29 14:43 UTC by Benjamin Bellec
Modified: 2015-03-10 10:09 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 10:09:47 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0667 normal SHIPPED_LIVE man-pages-fr bug fix update 2015-03-10 14:09:39 UTC

Description Benjamin Bellec 2014-08-29 14:43:13 UTC
Description of problem:
manpage of "du" describes the option to display the result in megabytes. The option is (short) -m or (long) --megabytes.

The former option (short) works but not the second (long).

Version-Release number of selected component (if applicable):
coreutils 8.4-31.el6_5.2

Comment 2 Kamil Dudka 2014-08-29 14:54:33 UTC
Which man page?

I cannot see it in the man page provided by the coreutils pacakge.  It must be a translation of the original man page what is not up2date...

Comment 3 Benjamin Bellec 2014-08-29 15:09:14 UTC
Yes I forgot to mention, this is the french manpage.

Comment 4 Kamil Dudka 2014-08-29 15:23:07 UTC
Thanks for the additional info!  I am switching the component to man-pages-fr. The bug still exists in Fedora rawhide.

Comment 5 Mike FABIAN 2014-08-30 07:44:48 UTC
Yes, unfortunately man pages from such collections of translated
man pages are very often out of date.

Comment 6 Mike FABIAN 2014-09-04 08:47:59 UTC
(In reply to Benjamin Bellec from comment #0)
> Description of problem:
> manpage of "du" describes the option to display the result in megabytes. The
> option is (short) -m or (long) --megabytes.
> 
> The former option (short) works but not the second (long).
> 
> Version-Release number of selected component (if applicable):
> coreutils 8.4-31.el6_5.2

Same for the option 

       -k, --kilobytes
              Afficher la taille en kilo-octets. Cette option a priorit sur la
              variable d'environnement POSIXLY_CORRECT.


The short option -k exists, the long version doesn’t exist.

Comment 7 Mike FABIAN 2014-09-04 10:59:35 UTC
I marked the French du man-page as obsolete now by adding this
text at the top:

    Attention :
           La  traduction de  cette page de manuel pour "du" est obsolète par rap‐
           port à la version actuelle de "du". Pour avoir la dernière  version  de
           la  page  de  manuel, veuillez utiliser la version anglaise. La version
           anglaise est disponible avec la commande suivante :
           LANG=en_US.UTF-8 man du

I pushed this fix to F19, F20, F21, and rawhide.

Here is a build for RHEL-6.6:

https://brewweb.devel.redhat.com/taskinfo?taskID=7918138

Comment 13 errata-xmlrpc 2015-03-10 10:09:47 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0667.html


Note You need to log in before you can comment on or make changes to this bug.